Subject: bug#7727: closed (Re: describe-key doesn't tell whole redirect sequence)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Jan 2011 00:57:02 +0000

Your bug report

#7727: describe-key doesn't tell whole redirect sequence

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7727: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7727
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: describe-key doesn't tell whole redirect sequence
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 23 Jan 2011 17:04:22 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> KY> (call-interactively 'gnus-summary-edit-article)
>
> KY> But it doesn't work for the `disabled' flag as if the command is
> KY> actually and directly invoked interactively.  I'm not capable to
> KY> improve it, sorry.
>
> I see. So the real bug is in the describe-key function, not telling the
> user all the details! I'll Cc bug-gnu-emacs!

I don't think this is a bug.  None of the commands in the article buffer
are regular commands, and you can't disable them with

(put 'gnus-summary-edit-article 'disabled t)

If you want to redefine commands in the article buffer, you have to bind
their keys.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen

Subject: describe-key doesn't tell whole redirect sequence
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 24 Dec 2010 23:22:56 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> "KY" == Katsumi Yamaoka <[email-masked]> writes:
KY> [email-masked] wrote:
>> Gentlemen, in http:///jidanni.org/comp/configuration/.gnus.el
>> I do (put 'gnus-summary-edit-article 'disabled t)

>> That works in the *Summary* buffer, but not the *Article* buffer,
>> despite in both places describe-key saying
>> "e runs the command gnus-summary-edit-article".
>> What gives?

>> gnus-version "Gnus v5.13"

KY> The real command that the "e" key is bound to in the article
KY> buffer is `gnus-article-read-summary-keys', which is used to
KY> invoke the summary commands from the article buffer and will
KY> interpret it into:

KY> (call-interactively 'gnus-summary-edit-article)

KY> But it doesn't work for the `disabled' flag as if the command is
KY> actually and directly invoked interactively.  I'm not capable to
KY> improve it, sorry.

I see. So the real bug is in the describe-key function, not telling the
user all the details! I'll Cc bug-gnu-emacs!

I also note one sees Describe Key: e-
in the minibuffer, with a "-" added.

Anyway, how can I disable it in the *Article* buffer too?